<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.djhk.uav.tfly.mapper.TFlyDataMapper">
    
    <resultMap type="com.djhk.uav.tfly.model.TFlyData" id="TFlyDataResult">
        <result property="pntSeq"    column="pnt_seq"    />
        <result property="equSn"    column="equ_sn"    />
        <result property="orderid"    column="orderid"    />
        <result property="src"    column="src"    />
        <result property="planCode"    column="plan_code"    />
        <result property="lon"    column="lon"    />
        <result property="lat"    column="lat"    />
        <result property="alt"    column="alt"    />
        <result property="hei"    column="hei"    />
        <result property="spd"    column="spd"    />
        <result property="dir"    column="dir"    />
        <result property="dist"    column="dist"    />
        <result property="warn"    column="warn"    />
        <result property="stime"    column="stime"    />
        <result property="ltime"    column="ltime"    />
        <result property="ghCode"    column="gh_code"    />
    </resultMap>


    <select id="getTflyDataByOrderId" parameterType="String" resultMap="TFlyDataResult">
        select pnt_seq, equ_sn, orderid, src, plan_code, lon, lat, alt, hei, spd, dir, dist, warn, stime, ltime, gh_code from t_fly_data
        where orderid = #{orderid} order by stime asc


    </select>

</mapper>